%define git 1
%define gitdate 20111031
%define modname acpi_call

Name:           kmod-%{modname}
Summary:        A kernel module that enables you to call ACPI methods
Group:          System/Kernel and hardware
Version:        0.1
Release:        2
URL:            https://github.com/Bumblebee-Project/acpi_call
License:        GPLv3
# source from git repo git://github.com/Bumblebee-Project/acpi_call.git
Source0:        %{modname}-%{!?git:%{version}}%{?git:%{gitdate}}.tar.xz
BuildArch:      noarch
Requires:       dkms

%description
A kernel module that enables you to call ACPI methods by writing the
method name followed by arguments to /proc/acpi/call.

%files
%doc README
%{_usrsrc}/%{modname}-%{version}-%{release}/*

%post
/usr/sbin/dkms add -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade &&
/usr/sbin/dkms build -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade &&
/usr/sbin/dkms install -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --force
true
/sbin/modprobe %{modname}

%preun
dkms remove --binary -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --all
true

#--------------------------------------------------------------------
%prep
%setup -q%{?git:n %{modname}}

%install
rm -rf %{buildroot}

mkdir -p -m755 %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cp -a * %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
# DKMS config
cat > %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf << 'EOF'
PACKAGE_NAME="%{modname}"
PACKAGE_VERSION="%{version}-%{release}"
BUILT_MODULE_NAME[0]="%{modname}"
DEST_MODULE_LOCATION[0]="/kernel/drivers/acpi"
AUTOINSTALL="yes"
EOF



%changelog
* Tue Jan 15 2013 Andrew Wyatt <andrew@fuduntu.org>
- Update for 3.6.11

* Sun Dec 23 2012 Andrew Wyatt <andrew@fuduntu.org>
- Port to Fuduntu

* Sun Jun 17 2012 shlomif <shlomif> 0.1-2.mga3
+ Revision: 261218
- imported package dkms-acpi_call


* Mon Mar 19 2012 Simple <simplew8@gmailcom> 1.0-2
- set with mageia dkms policy
- use versioned source

* Mon Mar 19 2012 Simple <simplew8@gmailcom> 1.0-1
- initial package
